package com.corejsf;

import java.io.Serializable;
import javax.inject.Named; 
import javax.enterprise.context.SessionScoped; 

@Named("problemReport")
@SessionScoped
public class ProblemReport implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	private Project proj = new Project();
	
	private Integer num;
	
	private String dateIs;
	
	private String origin;
	
	private String modules;
	
	private String desc;
	
	private String rec;
	
	private String priority;
	
	private String severity;
	
	private String dateAs;
	
	private String dateFix;
	

	public Project getProj() {
		return proj;
	}

	public void setProj(Project proj) {
		this.proj = proj;
	}

	public Integer getNum() {
		return num;
	}

	public void setNum(Integer num) {
		this.num = num;
	}

	public String getDateIs() {
		return dateIs;
	}

	public void setDateIs(String dateIs) {
		this.dateIs = dateIs;
	}

	public String getOrigin() {
		return origin;
	}

	public void setOrigin(String origin) {
		this.origin = origin;
	}

	public String getModules() {
		return modules;
	}

	public void setModules(String modules) {
		this.modules = modules;
	}

	public String getDesc() {
		return desc;
	}

	public void setDesc(String desc) {
		this.desc = desc;
	}

	public String getRec() {
		return rec;
	}

	public void setRec(String rec) {
		this.rec = rec;
	}

	public String getPriority() {
		return priority;
	}

	public void setPriority(String priority) {
		this.priority = priority;
	}

	public String getSeverity() {
		return severity;
	}

	public void setSeverity(String severity) {
		this.severity = severity;
	}

	public String getDateAs() {
		return dateAs;
	}

	public void setDateAs(String dateAs) {
		this.dateAs = dateAs;
	}

	public String getDateFix() {
		return dateFix;
	}

	public void setDateFix(String dateFix) {
		this.dateFix = dateFix;
	}

	public static long getSerialversionuid() {
		return serialVersionUID;
	}
	
}
